Skip to main content
Version: 10.1

Webhook Resource

Description​

This resource is for manipulating individual webhooks.

GET /webhooks/:ID​

Get the details of a webhook.

GET Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURLNumeric ID of the webhook 

GET Response Values​

NameTypeDescription
resourceString
job_resourceStringPending messages created by this webhook
clear_job_resourceStringClear pending messages
download_job_resourceStringDownload pending messages
test_resourceStringPOST to Trigger a test for this webhook
urlStringDestination URL for this webhook
nameString
enabledBoolean
verify_sslBooleanRequire valid SSL certificate for HTTPS URLs
headerList[Header]Headers included with each request
secretStringKey for x-rweb-sig header
timeoutIntegerHours to retain failed messages
eventsList[String]Events that will trigger webhook messages

Example GET Request​

GET /webhooks/9

{
"resource": "/webhooks/9",
"job_resource": "/webhooks/9/webhook_jobs",
"clear_job_resource": "/webhooks/9/webhook_jobs/clear",
"download_job_resource": "/webhooks/9/webhook_jobs/download",
"test_resource": "/webhooks/9/test",
"url": "https://example.com",
"name": "Example Webhook",
"enabled": false,
"verify_ssl": true,
"header": [],
"secret": "",
"timeout": 0,
"events": [
"zone"
]
}

PUT /webhooks/:ID​

Update webhook configuration with new values. This will replace any part of the webhook that is specifed. See webhook creation for the full set of parameters.

Example PUT Request​

PUT /webhooks/9

{
"data": {
"name": "Another Example",
"enabled": false,
"verify_ssl": true,
"header": [],
"secret": "",
"timeout": 0,
"events": [
"group"
]
}
}

Example PUT Response​

HTTP/1.1 200 OK

DELETE /webhooks/:ID​

Delete a webhook configuration.

DELETE Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURLNumeric ID of the webhook 

Example Request​

DELETE /webhooks/9

Example Response​

HTTP/1.1 200 OK